org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTAmbiguousTemplateArgument

All Superinterfaces:
  IASTNode

    public interface ICPPASTAmbiguousTemplateArgument
    extends IASTNode

Place-holder in the AST for template arguments that are not yet understood.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addExpression(IASTExpression expression)` Add an partial parse tree that could be a suitable subtree representing the template argument
`void` `addIdExpression(IASTExpression idExpression)` Deprecated. Replaced by `addExpression(IASTExpression)`.
`void` `addIdExpression(IASTIdExpression idExpression)` Deprecated. Replaced by `addIdExpression(IASTExpression)`.
`void` `addTypeId(IASTTypeId typeId)` Add an partial parse tree that could be a suitable subtree representing the template argument

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### addExpression

    void addExpression(IASTExpression expression)

Add an partial parse tree that could be a suitable subtree representing the template argument

Parameters:
  `expression` - a non-null expression
Since:
  5.6

#### addTypeId

    void addTypeId(IASTTypeId typeId)

Add an partial parse tree that could be a suitable subtree representing the template argument

Parameters:
  `typeId` - a non-null type-id

#### addIdExpression

    @Deprecated
    void addIdExpression(IASTExpression idExpression)

Deprecated. Replaced by `addExpression(IASTExpression)`.

Restriction:
  This method is not intended to be referenced by clients.

#### addIdExpression

    @Deprecated
    void addIdExpression(IASTIdExpression idExpression)

Deprecated. Replaced by `addIdExpression(IASTExpression)`.

Restriction:
  This method is not intended to be referenced by clients.